<link rel="stylesheet" href="{$systemurl}modules/addons/emailverify/library/templates/assets/css/style.css?v1.6">
<div class="row" id="emailverify">
    <div class="col-xs-12">
        {if $errormsg}
        <div class="col-xs-12">
            <div style="height: 10px;"></div>
            <div class="alert alert-danger alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
                <span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> {$errormsg}
            </div>
        </div>
        {/if}
        <div class="email-body">
            {if $page eq 'verify'}
            <img class="notice-img" src="{$systemurl}modules/addons/emailverify/library/templates/assets/img/notice.svg">
            <span class="notice-msg">{$MAIL_LANG['clientarea']['inputRandomCodeTip']}</span>
            <form method="POST" action="{$systemurl}index.php?m=emailverify">
                <input type="hidden" name="sign" value="{$sign}">
                <div class="input-group input-area">
                    <span class="input-group-addon">{$MAIL_LANG['clientarea']['randCode']}</span>
                    <input type="text" name="randomCode" class="form-control" placeholder="{$MAIL_LANG['clientarea']['inputboxPlaceholder'][0]}{$codeDigit}{$MAIL_LANG['clientarea']['inputboxPlaceholder'][1]}" autocomplete="off">
                    <span class="input-group-btn">
                        <button class="btn btn-success" type="submit">{$MAIL_LANG['clientarea']['confirm']}</button>
                    </span>
                </div>
            </form>
            <div class="email-tips">
            <p class="notice-content">{$MAIL_LANG['clientarea']['emailVerifyTips'][1][0]} <button id="ResendEmail" type="button" class="btn btn-primary btn-xs">{$LANG.resendEmail}</button> {$MAIL_LANG['clientarea']['emailVerifyTips'][1][1]}</p>
            <p class="notice-content">{$MAIL_LANG['clientarea']['emailVerifyTips'][2][0]} <a class="btn btn-warning btn-xs" href="{$systemurl}clientarea.php?action=details">{$MAIL_LANG['clientarea']['emailVerifyTips'][2][1]}</a> {$MAIL_LANG['clientarea']['emailVerifyTips'][2][2]}</p>
            <p class="notice-content">{$MAIL_LANG['clientarea']['emailVerifyTips'][3][0]} <code>{$sender}</code> {$MAIL_LANG['clientarea']['emailVerifyTips'][3][1]} <a href="{$systemurl}submitticket.php">{$MAIL_LANG['clientarea']['emailVerifyTips'][3][2]}</a></p>
            </div>
            {literal}
            <script>
                var count = 30;
                var obj;
                var mailSended = "{/literal}{$LANG.emailSent}{literal}";
                var resentEmail = "{/literal}{$LANG.resendEmail}{literal}";
                jQuery('#ResendEmail').click(sendMail);
                jQuery('#btnResendVerificationEmail').click(sendMail);
                function sendMail() {
                    count = 30;
                    jQuery.post('clientarea.php',
                        {
                            'token': csrfToken,
                            'action': 'resendVerificationEmail'
                        }).done(function(data) {
                            jQuery('#ResendEmail').html(mailSended).prop('disabled', true);
                            jQuery('#btnResendVerificationEmail').html(mailSended).prop('disabled', true);
                            $('#ResendEmail').text( + count + "{/literal}{$MAIL_LANG['clientarea']['acquiredWithTime']}{literal}");
                            $('#btnResendVerificationEmail').text( + count + "{/literal}{$MAIL_LANG['clientarea']['acquiredWithTime']}{literal}");
                            obj = setInterval(countTime, 1000);
                        });
                }
                function countTime() {
                    if (count == 0) {
                        clearInterval(obj);
                        $('#ResendEmail').removeAttr('disabled');
                        $('#ResendEmail').text(resentEmail);
                        $('#btnResendVerificationEmail').removeAttr('disabled');
                        $('#btnResendVerificationEmail').text(resentEmail);
                    } else {
                        count--;
                        $('#ResendEmail').text( + count + "{/literal}{$MAIL_LANG['clientarea']['acquiredWithTime']}{literal}");
                        $('#btnResendVerificationEmail').text( + count + "{/literal}{$MAIL_LANG['clientarea']['acquiredWithTime']}{literal}");
                    }
             
                }
            </script>
            {/literal}
            {elseif $page eq 'success'}
                <img class="notice-img" src="{$systemurl}modules/addons/emailverify/library/templates/assets/img/ok.svg?v1.1">
                <span class="notice-msg">{$MAIL_LANG['clientarea']['verifySuccess']}</span>
                <a class="btn btn-default btn-md" href="{$systemurl}clientarea.php">{$MAIL_LANG['clientarea']['enterClientArea']}</a>
            {/if}
    </div>
</div>